namespace elm { 
inline bool Frame::collapse_get() const
{
   Eina_Bool __return_value =  ::elm_obj_frame_collapse_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Frame::collapse_set( ::efl::eolian::in_traits<bool>::type collapse) const
{
    ::elm_obj_frame_collapse_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(collapse));
}
inline bool Frame::autocollapse_get() const
{
   Eina_Bool __return_value =  ::elm_obj_frame_autocollapse_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Frame::autocollapse_set( ::efl::eolian::in_traits<bool>::type autocollapse) const
{
    ::elm_obj_frame_autocollapse_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(autocollapse));
}
inline void Frame::collapse_go( ::efl::eolian::in_traits<bool>::type collapse) const
{
    ::elm_obj_frame_collapse_go(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(collapse));
}
} 
namespace eo_cxx {
namespace elm { 
inline bool Frame::collapse_get() const
{
   Eina_Bool __return_value =  ::elm_obj_frame_collapse_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Frame::collapse_set( ::efl::eolian::in_traits<bool>::type collapse) const
{
    ::elm_obj_frame_collapse_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(collapse));
}
inline bool Frame::autocollapse_get() const
{
   Eina_Bool __return_value =  ::elm_obj_frame_autocollapse_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Frame::autocollapse_set( ::efl::eolian::in_traits<bool>::type autocollapse) const
{
    ::elm_obj_frame_autocollapse_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(autocollapse));
}
inline void Frame::collapse_go( ::efl::eolian::in_traits<bool>::type collapse) const
{
    ::elm_obj_frame_collapse_go(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(collapse));
}
inline elm::Frame::operator ::elm::Frame() const { return *static_cast< ::elm::Frame const*>(static_cast<void const*>(this)); }
inline elm::Frame::operator ::elm::Frame&() { return *static_cast< ::elm::Frame*>(static_cast<void*>(this)); }
inline elm::Frame::operator ::elm::Frame const&() const { return *static_cast< ::elm::Frame const*>(static_cast<void const*>(this)); }
} }

